# eric4.Packagers.__init__

Package implementing interfaces to packaging tools.

It implements the high level interface and all the supporting dialogs for the supported packagers.

### Classes

Packagers | Class implementing the high level interface.

### Functions

None

## Packagers

Class implementing the high level interface.

### Derived from

QObject

### Methods

Packagers | Constructor
__cxfreeze | Private slot to handle the cxfreeze execution.
getActions | Public method to get a list of all actions.
initActions | Public method to initialize the packagers actions.
initMenu | Public method called to build the project packagers submenu.

#### Packagers (Constructor)

Packagers(project, parent)

Constructor

project
  project object of the current project
parent
  parent object of this class (QObject)

#### Packagers.__cxfreeze

__cxfreeze()

Private slot to handle the cxfreeze execution.

#### Packagers.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E4Action)

#### Packagers.initActions

initActions()

Public method to initialize the packagers actions.

#### Packagers.initMenu

initMenu()

Public method called to build the project packagers submenu.

Returns:
  the menu or None

Up